

#ifndef HEADER_H
#define HEADER_H


#define DATA_PORT   PORTA
#define DATA_PIN    F1
#define DATA_TRIS   TRISA

#define OUTPUT 0
#define INPUT  1
#define LOW 0
#define HIGH 1
#define TICKS 41
#define TICK_EDGE 4


/* prototypes */
void fSendRequest(void);
unsigned char *fConvTempToStr(int);
unsigned char *fConvHumToStr(int);
unsigned char fCheckSumTest(void);
void fInit(void);
void fDelay(void);


extern const unsigned short Arial_Narrow18x31[];
extern const unsigned short Arial_Narrow12x12[];
extern const unsigned short Arial_Narrow22x31[];
extern const unsigned short Arial_Narrow27x31[];

#endif